Get Page Event Details
GET
https://api.monetate.net/api/metadata/v1/{retailerShortname}/production/metadata/pageevent/{pageevent-id}
Path Parameters
- pageevent-idintegerrequiredDescription
Responses
200
- PageEventResponse
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataPageEventrequiredExample
{ "id": 132, "title": "Example PageEvent Title" }Description- idintegerDescription
- titlestringDescription
401
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
403
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
404
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
500
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
curl
curl --request GET \
--url https://api.monetate.net/api/metadata/v1/{retailerShortname}/production/metadata/pageevent/{pageevent-id} \
--header 'accept: application/json'php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.monetate.net/api/metadata/v1/{retailerShortname}/production/metadata/pageevent/{pageevent-id}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'accept: application/json',
'content-type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.monetate.net/api/metadata/v1/{retailerShortname}/production/metadata/pageevent/{pageevent-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.monetate.net/api/metadata/v1/{retailerShortname}/production/metadata/pageevent/{pageevent-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.monetate.net/api/metadata/v1/{retailerShortname}/production/metadata/pageevent/{pageevent-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
200
// A single PageEvent definition.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {
"id": 0,
"title": ""
}
}401
// Unauthorized.
The request did not include a token, or the token provided was invalid. Please ensure that your token is correct and that the Authorization header is properly formatted.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}403
// Forbidden.
The request included a token that has been revoked. Please contact your account administrator to generate a new token.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}404
// Not found.
The resource you are trying to fetch does not exist, or has been deleted.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}500
// Unknown error.
Please try again or contact your account manager for more information.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}Returns detailed information about a single page event.